C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Users.EffectivePermissions.Sources;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Users.EffectivePermissions.Sources.Roles.ListAsync(
id: "id",
request: new ListUserEffectivePermissionRoleSourceRequestParameters {
From = "from",
Take = 1,
ResourceServerIdentifier = "resource_server_identifier",
PermissionName = "permission_name"
}
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.users.effectivepermissions.sources.types.ListUserEffectivePermissionRoleSourceRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.users().effectivePermissions().sources().roles().list(
"id",
ListUserEffectivePermissionRoleSourceRequestParameters
.builder()
.resourceServerIdentifier("resource_server_identifier")
.permissionName("permission_name")
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Users\EffectivePermissions\Sources\Roles\Requests\ListUserEffectivePermissionRoleSourceRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->users->effectivePermissions->sources->roles->list(
'id',
new ListUserEffectivePermissionRoleSourceRequestParameters([
'from' => 'from',
'take' => 1,
'resourceServerIdentifier' => 'resource_server_identifier',
'permissionName' => 'permission_name',
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.users.effective_permissions.sources.roles.list(
id="id",
from="from",
take=1,
resource_server_identifier="resource_server_identifier",
permission_name="permission_name",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.users.effective_permissions.sources.roles.list(
id: "id",
from: "from",
take: 1,
resource_server_identifier: "resource_server_identifier",
permission_name: "permission_name"
)
curl --request GET \
--url https://{tenantDomain}/api/v2/users/{id}/effective-permissions/sources/effective-roles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/users/{id}/effective-permissions/sources/effective-roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/users/{id}/effective-permissions/sources/effective-roles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"roles": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_id": "<string>",
"sources": []
}
],
"next": "<string>"
}List the roles which grant the user a given permission (whether directly or through groups).
Lists the roles which grant the user a given permission, including roles assigned directly to the user and those inherited through group memberships.
GET
https://{tenantDomain}/api/v2
/
users
/
{id}
/
effective-permissions
/
sources
/
effective-roles
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Users.EffectivePermissions.Sources;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Users.EffectivePermissions.Sources.Roles.ListAsync(
id: "id",
request: new ListUserEffectivePermissionRoleSourceRequestParameters {
From = "from",
Take = 1,
ResourceServerIdentifier = "resource_server_identifier",
PermissionName = "permission_name"
}
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.users.effectivepermissions.sources.types.ListUserEffectivePermissionRoleSourceRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.users().effectivePermissions().sources().roles().list(
"id",
ListUserEffectivePermissionRoleSourceRequestParameters
.builder()
.resourceServerIdentifier("resource_server_identifier")
.permissionName("permission_name")
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Users\EffectivePermissions\Sources\Roles\Requests\ListUserEffectivePermissionRoleSourceRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->users->effectivePermissions->sources->roles->list(
'id',
new ListUserEffectivePermissionRoleSourceRequestParameters([
'from' => 'from',
'take' => 1,
'resourceServerIdentifier' => 'resource_server_identifier',
'permissionName' => 'permission_name',
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.users.effective_permissions.sources.roles.list(
id="id",
from="from",
take=1,
resource_server_identifier="resource_server_identifier",
permission_name="permission_name",
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.users.effective_permissions.sources.roles.list(
id: "id",
from: "from",
take: 1,
resource_server_identifier: "resource_server_identifier",
permission_name: "permission_name"
)
curl --request GET \
--url https://{tenantDomain}/api/v2/users/{id}/effective-permissions/sources/effective-roles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/users/{id}/effective-permissions/sources/effective-roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/users/{id}/effective-permissions/sources/effective-roles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"roles": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner_id": "<string>",
"sources": []
}
],
"next": "<string>"
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
ID of the user to retrieve the permissions for.
クエリパラメータ
Optional Id from which to start selection.
Number of results per page. Defaults to 50.
必須範囲:
x >= 1The identifier of the resource server for which to calculate user permissions.
Required string length:
1 - 600Name of this permission
Required string length:
1 - 280List the permissions assigned to a user directly or through roles or groups.
前へ
List the roles for a user with sources: directly assigned or through group membership.
次へ
⌘I